<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: secuCommand Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">secuCommand Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="secutil_8h_source.html">secutil.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9a58cf874769e6345e9a72a0ef9cb2e0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsecuCommand.html#a9a58cf874769e6345e9a72a0ef9cb2e0">numCommands</a></td></tr>
<tr class="separator:a9a58cf874769e6345e9a72a0ef9cb2e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3174b58130e22f99a2289148aac2bc7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsecuCommand.html#aa3174b58130e22f99a2289148aac2bc7">numOptions</a></td></tr>
<tr class="separator:aa3174b58130e22f99a2289148aac2bc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae50b81e5e819edd215185bc07392a151"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structsecuCommandFlag.html">secuCommandFlag</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsecuCommand.html#ae50b81e5e819edd215185bc07392a151">commands</a></td></tr>
<tr class="separator:ae50b81e5e819edd215185bc07392a151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa31df13def1af9c07a305b7af9212509"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structsecuCommandFlag.html">secuCommandFlag</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsecuCommand.html#aa31df13def1af9c07a305b7af9212509">options</a></td></tr>
<tr class="separator:aa31df13def1af9c07a305b7af9212509"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00388">388</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ae50b81e5e819edd215185bc07392a151"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae50b81e5e819edd215185bc07392a151">&#9670;&nbsp;</a></span>commands</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structsecuCommandFlag.html">secuCommandFlag</a>* commands</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00393">393</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>

</div>
</div>
<a id="a9a58cf874769e6345e9a72a0ef9cb2e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a58cf874769e6345e9a72a0ef9cb2e0">&#9670;&nbsp;</a></span>numCommands</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int numCommands</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00390">390</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>

</div>
</div>
<a id="aa3174b58130e22f99a2289148aac2bc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3174b58130e22f99a2289148aac2bc7">&#9670;&nbsp;</a></span>numOptions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int numOptions</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00391">391</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>

</div>
</div>
<a id="aa31df13def1af9c07a305b7af9212509"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa31df13def1af9c07a305b7af9212509">&#9670;&nbsp;</a></span>options</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structsecuCommandFlag.html">secuCommandFlag</a>* options</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="secutil_8h_source.html#l00394">394</a> of file <a class="el" href="secutil_8h_source.html">secutil.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="secutil_8h_source.html">secutil.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
